Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.loadtest.strategy
Class AbstractLoadStrategy

    java.lang.Object
      com.eviware.soapui.impl.wsdl.loadtest.strategy.AbstractLoadStrategy

All Implemented Interfaces:
  LoadStrategy, LoadTestRunListener

Direct Known Subclasses:
  BurstLoadStrategy, SimpleLoadStrategy, ThreadCountChangeLoadStrategy, VarianceLoadStrategy

    public abstract class AbstractLoadStrategy

extends java.lang.Object
implements LoadStrategy

LoadStrategy allowing maximum runs and request delays

Author:
  Ole.Matzura

Field Summary

Fields inherited from interface com.eviware.soapui.impl.wsdl.loadtest.strategy.LoadStrategy
`CONFIGURATION_PROPERTY`

Constructor Summary
`AbstractLoadStrategy(java.lang.String type)`

Method Summary
`void` | `addConfigurationChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `afterLoadTest(LoadTestRunner loadTestRunner, LoadTestRunContext context)` Called after the execution of a loadtest when all threads have terminated
`void` | `afterTestCase(LoadTestRunner loadTestRunner, LoadTestRunContext context, TestRunner testRunner, TestRunContext runContext)` Called after the execution of a testcase
`void` | `afterTestStep(LoadTestRunner loadTestRunner, LoadTestRunContext context, TestRunner testRunner, TestRunContext runContext, TestStepResult testStepResult)` Called after the execution of a teststep
`boolean` | `allowThreadCountChangeDuringRun()`
`void` | `beforeLoadTest(LoadTestRunner loadTestRunner, LoadTestRunContext context)` Called before a load-test is about to be run
`void` | `beforeTestCase(LoadTestRunner loadTestRunner, LoadTestRunContext context, TestRunner testRunner, TestRunContext runContext)` Called before the execution of a testcase
`void` | `beforeTestStep(LoadTestRunner loadTestRunner, LoadTestRunContext context, TestRunner testRunner, TestRunContext runContext, TestStep testStep)` Called before the execution of a teststep
`org.apache.xmlbeans.XmlObject` | `getConfig()`
`javax.swing.JComponent` | `getConfigurationPanel()`
`java.lang.String` | `getType()`
`void` | `loadTestStarted(LoadTestRunner loadTestRunner, LoadTestRunContext context)` Called after all initial loadtest threads have been started
`void` | `loadTestStopped(LoadTestRunner loadTestRunner, LoadTestRunContext context)` Called when a loadtest has been stopped for some reason
`void` | `notifyConfigurationChanged()`
`void` | `removeConfigurationChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `updateConfig(org.apache.xmlbeans.XmlObject config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLoadStrategy

    public AbstractLoadStrategy(java.lang.String type)

Method Detail

### getConfig

    public org.apache.xmlbeans.XmlObject getConfig()

  Specified by:
    `getConfig` in interface `LoadStrategy`

### getConfigurationPanel

    public javax.swing.JComponent getConfigurationPanel()

  Specified by:
    `getConfigurationPanel` in interface `LoadStrategy`

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `LoadStrategy`

### addConfigurationChangeListener

    public void addConfigurationChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `addConfigurationChangeListener` in interface `LoadStrategy`

### removeConfigurationChangeListener

    public void removeConfigurationChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `removeConfigurationChangeListener` in interface `LoadStrategy`

### notifyConfigurationChanged

    public void notifyConfigurationChanged()

### allowThreadCountChangeDuringRun

    public boolean allowThreadCountChangeDuringRun()

  Specified by:
    `allowThreadCountChangeDuringRun` in interface `LoadStrategy`

### afterLoadTest

    public void afterLoadTest(LoadTestRunner loadTestRunner,
                              LoadTestRunContext context)

  Description copied from interface: `LoadTestRunListener`
  Called after the execution of a loadtest when all threads have terminated

  Specified by:
    `afterLoadTest` in interface `LoadTestRunListener`

### afterTestCase

    public void afterTestCase(LoadTestRunner loadTestRunner,
                              LoadTestRunContext context,
                              TestRunner testRunner,
                              TestRunContext runContext)

  Description copied from interface: `LoadTestRunListener`
  Called after the execution of a testcase

  Specified by:
    `afterTestCase` in interface `LoadTestRunListener`

### afterTestStep

    public void afterTestStep(LoadTestRunner loadTestRunner,
                              LoadTestRunContext context,
                              TestRunner testRunner,
                              TestRunContext runContext,
                              TestStepResult testStepResult)

  Description copied from interface: `LoadTestRunListener`
  Called after the execution of a teststep

  Specified by:
    `afterTestStep` in interface `LoadTestRunListener`

### beforeLoadTest

    public void beforeLoadTest(LoadTestRunner loadTestRunner,
                               LoadTestRunContext context)

  Description copied from interface: `LoadTestRunListener`
  Called before a load-test is about to be run

  Specified by:
    `beforeLoadTest` in interface `LoadTestRunListener`

### beforeTestCase

    public void beforeTestCase(LoadTestRunner loadTestRunner,
                               LoadTestRunContext context,
                               TestRunner testRunner,
                               TestRunContext runContext)

  Description copied from interface: `LoadTestRunListener`
  Called before the execution of a testcase

  Specified by:
    `beforeTestCase` in interface `LoadTestRunListener`

### beforeTestStep

    public void beforeTestStep(LoadTestRunner loadTestRunner,
                               LoadTestRunContext context,
                               TestRunner testRunner,
                               TestRunContext runContext,
                               TestStep testStep)

  Description copied from interface: `LoadTestRunListener`
  Called before the execution of a teststep

  Specified by:
    `beforeTestStep` in interface `LoadTestRunListener`

### loadTestStarted

    public void loadTestStarted(LoadTestRunner loadTestRunner,
                                LoadTestRunContext context)

  Description copied from interface: `LoadTestRunListener`
  Called after all initial loadtest threads have been started

  Specified by:
    `loadTestStarted` in interface `LoadTestRunListener`

### loadTestStopped

    public void loadTestStopped(LoadTestRunner loadTestRunner,
                                LoadTestRunContext context)

  Description copied from interface: `LoadTestRunListener`
  Called when a loadtest has been stopped for some reason

  Specified by:
    `loadTestStopped` in interface `LoadTestRunListener`

### updateConfig

    public void updateConfig(org.apache.xmlbeans.XmlObject config)

  Specified by:
    `updateConfig` in interface `LoadStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.